InfoCancelSchedulerMessage (The Data Transfer scheduler library 2.0.0-SNAPSHOT API)
Date: 2013-10-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.library.obj
Class InfoCancelSchedulerMessage

    java.lang.Object
      org.gcube.datatransfer.scheduler.library.obj.InfoCancelSchedulerMessage

All Implemented Interfaces:
  Serializable

    public class InfoCancelSchedulerMessage

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected org.gcube.datatransfer.common.agent.Types.CancelTransferMessage` | `cancelTransferMessage`
`protected static com.thoughtworks.xstream.XStream` | `xstream`

Constructor Summary
`InfoCancelSchedulerMessage()`

Method Summary
`org.gcube.datatransfer.common.agent.Types.CancelTransferMessage` | `getCancelTransferMessage()`
`void` | `setCancelTransferMessage(org.gcube.datatransfer.common.agent.Types.CancelTransferMessage cancelTransferMessage)`
`String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cancelTransferMessage

    protected org.gcube.datatransfer.common.agent.Types.CancelTransferMessage cancelTransferMessage

### xstream

    protected static com.thoughtworks.xstream.XStream xstream

Constructor Detail

### InfoCancelSchedulerMessage

    public InfoCancelSchedulerMessage()

Method Detail

### getCancelTransferMessage

    public org.gcube.datatransfer.common.agent.Types.CancelTransferMessage getCancelTransferMessage()

### setCancelTransferMessage

    public void setCancelTransferMessage(org.gcube.datatransfer.common.agent.Types.CancelTransferMessage cancelTransferMessage)

### toXML

    public String toXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.